package com.persagy.account.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.account.pojo.dto.SaasAccountRole;
import com.persagy.account.pojo.vo.auth.SaasAccountRoleVO;

/**
 * 账号-角色关联信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Mapper
public interface SaasAccountRoleMapper extends BaseMapper<SaasAccountRole> {

	/**
	 * 获取账号ID集合
	 * 
	 * @param groupCode
	 * @param roleId
	 * @return
	 */
	Integer isAllowDeleteRole(@Param("groupCode") String groupCode, @Param("roleId") String roleId, @Param("valid") Integer valid);
	
	/**
	 * 先删除，在新增，批量插入账号角色关联关系，主要服务于新建账号信息时同时新增
	 * 
	 * @param groupCode
	 * @param accountId
	 * @param roles
	 * @return
	 */
	Integer batchInsertSaasAccountRole(@Param("groupCode") String groupCode, @Param("accountId") String accountId, @Param("roles") List<SaasAccountRoleVO> roles);

}
