package com.persagy.account.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.account.pojo.dto.SaasRole;

/**
 * 角色信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Mapper
public interface SaasRoleMapper extends BaseMapper<SaasRole> {
	
	/**
	 * 根据账号ID，获取该账号所拥有的所有角色
	 * @param accountId
	 * @param valid
	 * @return
	 */
	List<SaasRole> querySaasRoleList(@Param("accountId") String accountId, @Param("valid") Integer valid);
	
}
