package com.persagy.account.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.account.pojo.dto.SaasRoleMenu;
import com.persagy.account.pojo.vo.auth.SaasMenuFunctionPageVO;
import com.persagy.account.pojo.vo.auth.SaasMenuFunctionVO;

/**
 * 角色-菜单功能关联信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Mapper
public interface SaasRoleMenuMapper extends BaseMapper<SaasRoleMenu> {

	/**
	 * 批量创建角色对应的菜单功能权限
	 * 
	 * @param groupCode
	 * @param roleId
	 * @param auths
	 * @return
	 */
	Integer batchCreateSaasRoleMenu(@Param("groupCode") String groupCode, @Param("roleId") String roleId, @Param("auths") List<SaasMenuFunctionVO> auths);

	/**
	 * 批量创建角色对应的菜单页面功能权限
	 * @param groupCode
	 * @param roleId
	 * @param auths
	 * @return
	 */
	Integer batchCreateSaasRoleMenuPage(@Param("groupCode") String groupCode, @Param("roleId") String roleId, @Param("auths") List<SaasMenuFunctionPageVO> auths);
	
	/**
	 * 统计出有效的角色数
	 * 
	 * @param groupCode
	 * @param menuId
	 * @param status1
	 * @return
	 */
	Integer isAllowDeleteMenu(@Param("groupCode") String groupCode, @Param("menuId") String menuId, @Param("valid") Integer valid);
	
	/**
	 * 获取此角色下菜单数量
	 * 
	 * @param roleId
	 * @return
	 */
	Integer countMenu(@Param("roleId") String roleId);

}
