package com.persagy.account.pojo.vo.auth;

import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月26日:	上午11:24:05
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasAccountProjectQueryVO extends BaseUserModel {
	
	@ApiModelProperty(value = "集团编码，作为SQL条件", example = "RC")
	private String groupCode; 	// 集团编码
	
	@ApiModelProperty(value = "区域ID，作为SQL条件", example = "Pj123456789")
	private String areaId; // 区域ID
	
	@ApiModelProperty(value = "项目ID，作为SQL条件", example = "Pj123456789")
	private String projectId; // 项目ID
	
	@ApiModelProperty(value = "登录用户名", example = "zhangsan")
	private String username; // 登录用户名
	
	@ApiModelProperty(value = "账号类型, 0-超级管理员(所有集团)，1-单集团管理员(单集团)，2-普通账号", example = "0")
	private String accountType;		//账号类型, 0-超级管理员(所有集团)，1-单集团管理员(单集团)，2-普通账号
	
}
