package com.persagy.account.pojo.vo.auth;

import java.util.Set;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月16日:	下午4:08:00
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasAccountRoleQueryVO{

	@ApiModelProperty(value = "账号ID", required = true, example = "RY56122123152")
	private String accountId; 	// 当前账号ID

	@ApiModelProperty(value = "当前账号ID集合", example = "RY56122123152")
	private Set<String> accountIds; 	// 当前账号ID集合
	
	@NotBlank(message = "账号归属，不可为空")
	@ApiModelProperty(value = "账号归属", required = true, example = "0")
	private String accountBelong; 	// 当前账号归属
	
	@NotBlank(message = "应用ID，不可为空")
	@ApiModelProperty(value = "应用ID， PC-电脑端，APP-手机应用端", example = "PC", required = true)
    private String appId;
	
	@ApiModelProperty(value = "集团编码，作为SQL条件", example = "RC")
	private String groupCode; 	// 所属集团编码
	
	@ApiModelProperty(value = "角色ID", example = "123")
	private String roleId; // 角色ID
	
	@ApiModelProperty(value = "角色ID集合", example = "123")
	private Set<String> roleIds; // 角色ID集合
	
	@ApiModelProperty(value = "关联类型，0-主岗，1-副岗，2-业务超管默认角色", example = "0")
	private String casType; 	// 关联类型，0-主岗，1-副岗，2-业务超管默认角色，这里的关联类型，会作为重置的条件，先进行删除
	
}
