package com.persagy.account.pojo.vo.auth;

import javax.validation.constraints.NotBlank;

import com.persagy.common.model.BaseGroupModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 角色-菜单功能关联信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasRoleMenuCreateVO extends BaseGroupModel {

	@NotBlank(message = "角色ID，不可为空")
	@ApiModelProperty(value = "角色ID", example = "123")
	private String roleId; // 角色ID

	@NotBlank(message = "菜单ID，不可为空")
	@ApiModelProperty(value = "菜单ID", example = "1001")
	private String menuId; // 菜单ID
	
	@ApiModelProperty(value = "页面ID", example = "1001")
	private String pageId; 	// 页面ID

	//@NotBlank(message = "功能ID，不可为空")
	@ApiModelProperty(value = "功能ID", example = "1001")
	private String functionId; // 功能ID

}
