package com.persagy.account.pojo.vo.function;

import javax.validation.constraints.NotBlank;

import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 菜单信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ToString
@ApiModel
public class SaasMenuFunctionVO extends BaseUserModel {

	@ApiModelProperty(value = "集团编码，作为SQL条件", example = "RC")
	private String groupCode; 	// 所属集团编码
	
	@ApiModelProperty(value = "项目ID", example = "Pj123456789")
	private String projectId; 	// 项目ID
	
	@NotBlank(message = "菜单ID，不可为空")
	@ApiModelProperty(value = "菜单ID", example = "123")
	private String menuId; // 菜单ID
	
	@ApiModelProperty(value = "产品ID", example = "PD1001")
	private String productId; // 产品ID

	@ApiModelProperty(value = "页面ID", example = "123")
	private String pageId; // 页面ID
	
	@ApiModelProperty(value = "是否展示产品页面的功能点信息，true-展示，默认false", example = "false")
	private boolean showPageAuth = false;	//是否展示产品页面的功能点信息，true-展示，默认false

}
