package com.persagy.account.pojo.vo.menu;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年5月6日 下午2:38:04
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasMenuSort {
	
	@NotBlank(message = "菜单ID，不可为空")
	@ApiModelProperty(value = "菜单ID", example = "123456", required = true)
	private String menuId;
	
	@ApiModelProperty(value = "上级菜单ID", example = "123456")
	private String parentId;	// 上级菜单ID
	
	@NotBlank(message = "菜单顺序，不可为空")
	@ApiModelProperty(value = "菜单顺序", example = "1", required = true)
	private Integer menuSort;
	
}
