package com.persagy.account.pojo.vo.product;

import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年5月11日 下午7:30:05
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasProductCategoryQueryVO extends BaseUserModel {
	
	@ApiModelProperty(value = "类别ID", example = "PD1001")
	private String id; // ID
	
	@ApiModelProperty(value = "上级ID", example = "PD1001")
	private String parentId; // 上级ID

	@ApiModelProperty(value = "类别名称", example = "PD1001")
	private String categoryName; // 类别名称

	@ApiModelProperty(value = "终端", example = "PD1001")
	private String terminal; // 类别所属终端

	@ApiModelProperty(value = "终端名称", example = "PD1001")
	private String terminalName; // 类别所属终端名称

	@ApiModelProperty(value = "产品类型", example = "PD1001")
	private String productType; // 此类别所对应的产品类型

	@ApiModelProperty(value = "菜单类型", example = "PD1001")
	private String menuType; // 此类别所对应的菜单类型
	
}
