package com.persagy.account.pojo.vo.product;

import javax.validation.constraints.NotBlank;

import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 产品信息查询
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年4月27日 下午5:03:53
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasProductCreateVO extends BaseUserModel {
	
	@ApiModelProperty(value = "产品ID，更新时不可为空", example = "1001")
	private String id; 		// 产品id

	//@NotBlank(message = "产品编码，不可为空")
	@ApiModelProperty(value = "产品编码", required = true, example = "1001")
	private String productCode; // 产品编码

	@NotBlank(message = "产品名称，不可为空")
	@ApiModelProperty(value = "产品名称", required = true, example = "chanpin")
	private String productName; // 产品名称

	//@NotBlank(message = "产品图标，不可为空")
	@ApiModelProperty(value = "产品图标", required = true, example = "chanpin")
	private String productIcon; // 产品图标
	
	@NotBlank(message = "产品状态，不可为空")
	@ApiModelProperty(value = "产品状态，0-建设中，1-已完成，2-已关联", required = true, example = "0")
	private String productState; // 产品状态，0-建设中，1-已完成，2-已关联

	@NotBlank(message = "产品是否关联菜单，不可为空")
	@ApiModelProperty(value = "产品是否关联菜单，0-未关联，1-已关联", required = true, example = "0")
	private String productMenu; // 产品是否关联菜单，0-未关联，1-已关联

	@NotBlank(message = "产品类型，不可为空")
	@ApiModelProperty(value = "产品类型，0-系统产品，1-标准业务产品，2-IBMS产品", example = "0")
	private String productType;	//产品类型，0-系统产品，1-标准业务产品，2-IBMS产品
	
	@ApiModelProperty(value = "备注", example = "测试")
	private String remark; 		// 备注

}
