package com.persagy.account.service;

import com.persagy.common.service.ISuperService;

import java.util.Set;

import com.persagy.account.pojo.dto.SaasGroupProduct;

/**
 * 集团签约产品
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-05-07 12:02:40
 */
public interface ISaasGroupProductService extends ISuperService<SaasGroupProduct> {

	/**
	 * 创建产品集团签约信息
	 * 
	 * @param saasGroupProduct
	 * @param pageIds
	 * @return
	 */
	boolean createSaasGroupProduct(SaasGroupProduct saasGroupProduct, Set<String> pageIds);

	/**
	 * 更新产品集团签约信息，页面信息会先删除在新增
	 * 
	 * @param saasGroupProduct
	 * @param pageIds
	 * @return
	 */
	boolean updateSaasGroupProduct(SaasGroupProduct saasGroupProduct, Set<String> pageIds);

	/**
	 * 删除产品集团签约信息
	 * 
	 * @param contractId 签约ID
	 * @return
	 */
	boolean deleteSaasGroupProduct(String contractId);

}

