package com.persagy.account.service;

import com.persagy.common.service.ISuperService;
import com.persagy.account.pojo.dto.SaasProduct;

/**
 * 产品信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-04-27 16:08:25
 */
public interface ISaasProductService extends ISuperService<SaasProduct> {

	/**
	 * 更新产品信息
	 * @param saasProduct
	 * @return
	 */
	boolean updateSaasProduct(SaasProduct saasProduct, boolean isUpdateMenu);
	
	/**
	 * 验证产品编码的唯一性
	 * @param appId
	 * @param productType
	 * @param productCode
	 * @param id
	 */
	boolean validProductCode(String appId, String productType, String productCode, String id);
	
	/**
	 * 验证产品名称的唯一性，同时验证该产品名称是否在菜单中已存在
	 * 必须要求菜单类型与产品类型统一
	 * @param appId
	 * @param productName
	 * @param id
	 * @return 错误时，返回错误描述，否则返回 null
	 */
	String validProductName(String appId, String productType, String productName, String id);

	/***
	 * 在添加、更新菜单时，同步更新产品信息
	 * 
	 * @param productId
	 * @param productMenu
	 * @param menuId
	 * @return
	 */
	boolean updateProductByMenu(String productId, String productMenu, String menuId);

}

