package com.persagy.account.service;

import java.util.List;

import com.persagy.common.service.ISuperService;
import com.persagy.account.pojo.dto.SaasRole;

/**
 * 角色信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
public interface ISaasRoleService extends ISuperService<SaasRole> {

	/**
	 * 获取可用的角色信息
	 * @param id 角色ID
	 * @return
	 */
	SaasRole getOne(String id);
	
	/**
	 * 根据账号ID，获取该账号所拥有的所有角色
	 * @param accountId
	 * @return
	 */
	List<SaasRole> querySaasRoleList(String accountId);

	/**
	 * 验证角色名称是否集团下唯一
	 * 
	 * @param groupCode
	 * @param roleName
	 * @param roleType
	 * @param roleId
	 * @return
	 */
	boolean validRoleName(String groupCode, String roleName, String roleType, String roleId);

	/**
	 * 生成一条默认的角色信息及角色，默认菜单的关联关系，这里的菜单先写死
	 * 
	 * @param groupCode
	 * @param updateUser
	 * @return
	 */
	boolean createDefaultRole(String groupCode, String updateUser);

}

