package com.persagy.account.service.impl;

import java.util.List;
import java.util.Set;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.persagy.common.service.impl.SuperServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.toolkit.SqlHelper;
import com.persagy.account.mapper.SaasProjectProductMapper;
import com.persagy.account.pojo.dto.SaasProjectProduct;
import com.persagy.account.service.ISaasProjectProductService;

/**
 * 项目签约产品
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-05-07 12:02:40
 */
@Service
public class SaasProjectProductServiceImpl extends SuperServiceImpl<SaasProjectProductMapper, SaasProjectProduct> implements ISaasProjectProductService {

	@Override
	public List<SaasProjectProduct> querySaasProjectProductList(String contractId, String groupCode, String projectId, String productId) {
		return this.baseMapper.querySaasProjectProductList(contractId, groupCode, projectId, productId);
	}

	@Override
	@Transactional
	public boolean replaceSaasProjectProduct(String contractId, String groupCode, String productId, Set<String> projectIds) {
		// 删除
		LambdaQueryWrapper<SaasProjectProduct> queryWrapper = new SaasProjectProduct.BuilderQueryWrapper().contractIdEq(contractId).groupCodeEq(groupCode).productIdEq(productId).builder();
		this.baseMapper.delete(queryWrapper);
		// 新增
		Integer result = this.baseMapper.batchInsertSaasProjectProduct(contractId, groupCode, productId, projectIds);
		return SqlHelper.retBool(result);
	}

}
