package com.persagy.common.constant;

/**
 * @version 
 * @description saas服务平台通用常量值
 * @company persagy
 * @author zhangqiankun
 * @since 2021年2月24日:	上午10:20:52
 */
public interface SaasCommonConstant {
	
	// 这里仅定义编码，实际含义请查看业务定义
	int STATUS_0 = 0;
	int STATUS_1 = 1;
	int STATUS_2 = 2;
	int STATUS_3 = 3;
	String STR_STATUS_MINUS_1 = "-1";
	String STR_STATUS_0 = "0";
	String STR_STATUS_1 = "1";
	String STR_STATUS_2 = "2";
	String STR_STATUS_3 = "3";
	
	// mq消息类型
	String CREATE_TYPE = "create";
	String UPDATE_TYPE = "update";
	
	// 自测时使用的header
	String BACK_HEADER = "back-header";
	
	// 账号信息常用字段
	String REMEMBER = "remember";
	String PROJECT_ID = "projectId";
	String ACCOUNT_TYPE = "accountType";
	String ACCOUNT_BELONG = "accountBelong";
	String ROLE_TYPE = "roleType";
	
	//账号ID前缀
	String SAAS_ACCOUNT_ID_PREFIX = "AC";
	
	//区域ID前缀
	String SAAS_AREA_ID_PREFIX = "AR";
	
	//功能ID前缀
	String SAAS_FUNCTION_ID_PREFIX = "FU";
	
	//菜单ID前缀
	String SAAS_MENU_ID_PREFIX = "ME";
	
	//产品ID前缀
	String SAAS_PRODUCT_ID_PREFIX = "PD";
	
	//产品类别ID前缀
	String SAAS_PRODUCT_CATEGORY_ID_PREFIX = "PC";
		
	//产品页面ID前缀
	String SAAS_PRODUCT_PAGE_ID_PREFIX = "PP";
	
	//产品签约ID前缀
	String SAAS_GROUP_PRODUCT_ID_PREFIX = "GP";
	
	//项目ID前缀
	String SAAS_PROJECT_ID_PREFIX = "PR";
	
	//角色ID前缀
	String SAAS_ROLE_ID_PREFIX = "RO";
	
	// 账号来源
	String ACCOUNT_SOURCE_PERSAGE = "100";	// 100-saas

	String SAAS_CLIENT_ID_REDIS_KEY = "SAAS_PLATFORM_CLIENT_ID_KEY";
	
}
