package com.persagy.sso.pojo.dto;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.persagy.common.model.BaseEntity;
import com.persagy.common.utils.StringUtil;


import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 
 * 
 * @version 1.0.0
 * @company persagy 
 * @author xgq
 * @date 2021-04-15 21:48:53
 */
@Getter
@Setter
@ToString
@EqualsAndHashCode(callSuper = false)
@TableName("dept_reflex")
public class DeptReflex extends BaseEntity<DeptReflex> {

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
    private String id;			// id

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String oaDeptId;			// 万达oa部门id 

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String deptId;			// fm部门id

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private Date createTime;			// 

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private Date updateTime;			// 

    
	public static class Builder {

		private LambdaQueryWrapper<DeptReflex> queryWrapper = null;
		
		private LambdaUpdateWrapper<DeptReflex> updateWrapper = null;
		
		public Builder createQueryWrapper() {
			queryWrapper = new LambdaQueryWrapper<DeptReflex>();
			return this;
		}
		
		public Builder createUpdateWrapper() {
			updateWrapper = new LambdaUpdateWrapper<DeptReflex>();
			return this;
		}
		
				public Builder idEq (String id) {
							if (StringUtil.isNotBlank(id)) {
					if (updateWrapper != null) {
						updateWrapper.eq(DeptReflex::getId, id);
					} else {
						queryWrapper.eq(DeptReflex::getId, id);
					}
				}
					    			return this;
		}
				public Builder oaDeptIdEq (String oaDeptId) {
							if (StringUtil.isNotBlank(oaDeptId)) {
					if (updateWrapper != null) {
						updateWrapper.eq(DeptReflex::getOaDeptId, oaDeptId);
					} else {
						queryWrapper.eq(DeptReflex::getOaDeptId, oaDeptId);
					}
				}
					    			return this;
		}
				public Builder deptIdEq (String deptId) {
							if (StringUtil.isNotBlank(deptId)) {
					if (updateWrapper != null) {
						updateWrapper.eq(DeptReflex::getDeptId, deptId);
					} else {
						queryWrapper.eq(DeptReflex::getDeptId, deptId);
					}
				}
					    			return this;
		}
				public Builder createTimeEq (Date createTime) {
					    				if (null != createTime) {
					if (updateWrapper != null) {
						updateWrapper.eq(DeptReflex::getCreateTime, createTime);
					} else {
						queryWrapper.eq(DeptReflex::getCreateTime, createTime);
					}
				}
						return this;
		}
				public Builder updateTimeEq (Date updateTime) {
					    				if (null != updateTime) {
					if (updateWrapper != null) {
						updateWrapper.eq(DeptReflex::getUpdateTime, updateTime);
					} else {
						queryWrapper.eq(DeptReflex::getUpdateTime, updateTime);
					}
				}
						return this;
		}
				
		public LambdaQueryWrapper<DeptReflex> builderQueryWrapper() {
			return queryWrapper;
		}
		
		public LambdaUpdateWrapper<DeptReflex> builderUpdateWrapper() {
			return updateWrapper;
		}
	}
}
