package com.persagy.sso.pojo.dto;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.persagy.common.model.BaseEntity;
import com.persagy.common.utils.StringUtil;


import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 
 * 
 * @version 1.0.0
 * @company persagy 
 * @author xgq
 * @date 2021-04-29 11:30:51
 */
@Getter
@Setter
@ToString
@EqualsAndHashCode(callSuper = false)
@TableName("wd_account")
public class WdAccount extends BaseEntity<WdAccount> {
        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String accountId;			// 账号id

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String employeeId;			// 员工编号

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String employeeCode;			// 工号（长度为6位的数字，该工号将全公司唯一）

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String employeeName;			// 姓名

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String gender;			// 性别

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String username;			// 员工万信号

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String unitId;			// 部门编号（某个人所在的部门）

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String unitName;			// 部门名称

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String jobId;			// 岗位编号

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String jobName;			// 岗位名称

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String employeeStatusName;			// 员工状态名称

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String employeeStatus;			// 员工状态编码

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String status;			// 状态（1：有效；0：无效），当员工未入职（employeeStatus=0）的时候，该字段的值必须是0，除此之外的状态，该字段都是1

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private Date createIme;			// 创建时间

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private Date updateTime;			// 更新时间

    
	public static class Builder {

		private LambdaQueryWrapper<WdAccount> queryWrapper = null;
		
		private LambdaUpdateWrapper<WdAccount> updateWrapper = null;
		
		public Builder createQueryWrapper() {
			queryWrapper = new LambdaQueryWrapper<WdAccount>();
			return this;
		}
		
		public Builder createUpdateWrapper() {
			updateWrapper = new LambdaUpdateWrapper<WdAccount>();
			return this;
		}
		
				public Builder idEq (String id) {
							if (StringUtil.isNotBlank(id)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdAccount::getId, id);
					} else {
						queryWrapper.eq(WdAccount::getId, id);
					}
				}
					    			return this;
		}
				public Builder accountIdEq (String accountId) {
							if (StringUtil.isNotBlank(accountId)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdAccount::getAccountId, accountId);
					} else {
						queryWrapper.eq(WdAccount::getAccountId, accountId);
					}
				}
					    			return this;
		}
				public Builder employeeIdEq (String employeeId) {
							if (StringUtil.isNotBlank(employeeId)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdAccount::getEmployeeId, employeeId);
					} else {
						queryWrapper.eq(WdAccount::getEmployeeId, employeeId);
					}
				}
					    			return this;
		}
				public Builder employeeCodeEq (String employeeCode) {
							if (StringUtil.isNotBlank(employeeCode)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdAccount::getEmployeeCode, employeeCode);
					} else {
						queryWrapper.eq(WdAccount::getEmployeeCode, employeeCode);
					}
				}
					    			return this;
		}
				public Builder employeeNameEq (String employeeName) {
							if (StringUtil.isNotBlank(employeeName)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdAccount::getEmployeeName, employeeName);
					} else {
						queryWrapper.eq(WdAccount::getEmployeeName, employeeName);
					}
				}
					    			return this;
		}
				public Builder genderEq (String gender) {
							if (StringUtil.isNotBlank(gender)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdAccount::getGender, gender);
					} else {
						queryWrapper.eq(WdAccount::getGender, gender);
					}
				}
					    			return this;
		}
				public Builder usernameEq (String username) {
							if (StringUtil.isNotBlank(username)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdAccount::getUsername, username);
					} else {
						queryWrapper.eq(WdAccount::getUsername, username);
					}
				}
					    			return this;
		}
				public Builder unitIdEq (String unitId) {
							if (StringUtil.isNotBlank(unitId)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdAccount::getUnitId, unitId);
					} else {
						queryWrapper.eq(WdAccount::getUnitId, unitId);
					}
				}
					    			return this;
		}
				public Builder unitNameEq (String unitName) {
							if (StringUtil.isNotBlank(unitName)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdAccount::getUnitName, unitName);
					} else {
						queryWrapper.eq(WdAccount::getUnitName, unitName);
					}
				}
					    			return this;
		}
				public Builder jobIdEq (String jobId) {
							if (StringUtil.isNotBlank(jobId)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdAccount::getJobId, jobId);
					} else {
						queryWrapper.eq(WdAccount::getJobId, jobId);
					}
				}
					    			return this;
		}
				public Builder jobNameEq (String jobName) {
							if (StringUtil.isNotBlank(jobName)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdAccount::getJobName, jobName);
					} else {
						queryWrapper.eq(WdAccount::getJobName, jobName);
					}
				}
					    			return this;
		}
				public Builder employeeStatusNameEq (String employeeStatusName) {
							if (StringUtil.isNotBlank(employeeStatusName)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdAccount::getEmployeeStatusName, employeeStatusName);
					} else {
						queryWrapper.eq(WdAccount::getEmployeeStatusName, employeeStatusName);
					}
				}
					    			return this;
		}
				public Builder employeeStatusEq (String employeeStatus) {
							if (StringUtil.isNotBlank(employeeStatus)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdAccount::getEmployeeStatus, employeeStatus);
					} else {
						queryWrapper.eq(WdAccount::getEmployeeStatus, employeeStatus);
					}
				}
					    			return this;
		}
				public Builder statusEq (String status) {
							if (StringUtil.isNotBlank(status)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdAccount::getStatus, status);
					} else {
						queryWrapper.eq(WdAccount::getStatus, status);
					}
				}
					    			return this;
		}
				public Builder createImeEq (Date createIme) {
					    				if (null != createIme) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdAccount::getCreateIme, createIme);
					} else {
						queryWrapper.eq(WdAccount::getCreateIme, createIme);
					}
				}
						return this;
		}
				public Builder updateTimeEq (Date updateTime) {
					    				if (null != updateTime) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdAccount::getUpdateTime, updateTime);
					} else {
						queryWrapper.eq(WdAccount::getUpdateTime, updateTime);
					}
				}
						return this;
		}
				
		public LambdaQueryWrapper<WdAccount> builderQueryWrapper() {
			return queryWrapper;
		}
		
		public LambdaUpdateWrapper<WdAccount> builderUpdateWrapper() {
			return updateWrapper;
		}
	}
}
